[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'Character' (#rtl)

# TCharacter.IsLowSurrogate

Check whether a Unicode character is a surrogate in the low range

## Declaration

Source position: character.pas line 106

`public class function TCharacter.IsLowSurrogate(`
`AChar: UnicodeChar`
`):Boolean; overload; class function TCharacter.IsLowSurrogate(`
`const AString: UnicodeString;`
`AIndex: Integer`
`):Boolean; overload;`

## Arguments

`AChar` |  | UTF16 Character

## Function result

True if the indicated character has category ucSurrogate and is in the low range of the surrogate characters.

## Arguments

`AString` |  | String containing UTF-16 encoded characters
`AIndex` |  | Index of UTF16 encoded character in AString to be checked.

## Description

IsLowSurrogate returns True if a Unicode character has category ucSurrogate and is in the low range of the surrogate characters (between LOW_SURROGATE_BEGIN and LOW_SURROGATE_END). The character can be specified as a UTF16 character AChar or a UTF16 encoded character starting at position AIndex in string AString.

## Errors

If AIndex is not a valid character index in the string AString, an EArgumentOutOfRangeException exception is raised. If the character at that position is not complete, an EArgumentException exception is raised.

## See also

EArgumentException |  | Invalid argument passed to a function
IsControl |  | Check whether a Unicode character is a Unicode control character
IsDigit |  | Check whether a Unicode character is a digit
IsSurrogate |  | Check whether a Unicode character is a surrogate
IsHighSurrogate |  | Check whether a Unicode character is a surrogate in the high range
IsLetter |  | Check if a Unicode character is a letter.
IsLetterOrDigit |  | Check if a Unicode character is a letter or digit
IsLower |  | Check if a Unicode character is a lowercase letter
IsNumber |  | Check if a Unicode character is a number
IsPunctuation |  | Check if a Unicode character is a punctuation character
IsSymbol |  | Check if a Unicode character is a symbol character
IsUpper |  | Check whether a Unicode character is an uppercase letter
IsWhiteSpace |  | Check whether a Unicode character is a whitespace character